## kitemviews 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KItemViews)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.3.0")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMPoQmTools)

set(KF5_VERSION "5.18.0") # handled by release scripts
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KITEMVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfigVersion.cmake"
                        SOVERSION 5)


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ItemViews")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ItemViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ItemViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ItemViewsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===

ecm_create_qm_loader(kitemviews_QM_LOADER kitemviews5_qt)

set(kitemviews_SRCS
  kcategorizedsortfilterproxymodel.cpp
  kcategorizedview.cpp
  kcategorydrawer.cpp
  kextendableitemdelegate.cpp
  kfilterproxysearchline.cpp
  klistwidgetsearchline.cpp
  ktreewidgetsearchline.cpp
  ktreewidgetsearchlinewidget.cpp
  kwidgetitemdelegate.cpp
  kwidgetitemdelegatepool.cpp
  ${kitemviews_QM_LOADER}
)

add_library(KF5ItemViews ${kitemviews_SRCS})
generate_export_header(KF5ItemViews BASE_NAME KItemViews)
add_library(KF5::ItemViews ALIAS KF5ItemViews)


target_include_directories(KF5ItemViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KItemViews>")

target_link_libraries(KF5ItemViews PUBLIC Qt5::Widgets)

set_target_properties(KF5ItemViews PROPERTIES VERSION   ${KITEMVIEWS_VERSION_STRING}
                                              SOVERSION ${KITEMVIEWS_SOVERSION}
                                              EXPORT_NAME ItemViews
)

ecm_generate_headers(KItemViews_HEADERS
  HEADER_NAMES
  KCategorizedSortFilterProxyModel
  KCategorizedView
  KCategoryDrawer
  KExtendableItemDelegate
  KFilterProxySearchLine
  KListWidgetSearchLine
  KTreeWidgetSearchLine
  KTreeWidgetSearchLineWidget
  KWidgetItemDelegate

  REQUIRED_HEADERS KItemViews_HEADERS
)

install(TARGETS KF5ItemViews EXPORT KF5ItemViewsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kitemviews_export.h
  ${KItemViews_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KItemViews COMPONENT Devel
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KItemViews LIB_NAME KF5ItemViews DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KItemViews)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

## kitemviews 5.3.0

=== debian/changelog ===
kitemviews (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:19:56 +0100

kitemviews (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:50:19 +0200

kitemviews (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:26:06 +0200

kitemviews (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jul 2014 15:49:38 +0200

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kitemviews
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kitemviews.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kitemviews.git

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5itemviews5-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: libkf5itemviews5 (= ${binary:Version}), ${misc:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=libkf5itemviews5-dbg

override_dh_auto_test:
	xvfb-run $(overridden_command)

## kitemviews 5.9.0

=== debian/changelog ===
kitemviews (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:33:50 +0200

kitemviews (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:44:22 +0100

kitemviews (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:18:51 +0100

kitemviews (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:49:00 +0100

kitemviews (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 11:11:49 +0100

kitemviews (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:10:52 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
+               extra-cmake-modules (>= 1.8.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kitemviews.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kitemviews.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kitemviews.git
 
 Package: libkf5itemviews-dev

## kitemviews 5.15.0

=== debian/changelog ===
kitemviews (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:51:36 +0100

kitemviews (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:21:27 +0100

kitemviews (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:19:38 +0200

kitemviews (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:32:47 +0200

kitemviews (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Jun 2015 15:32:09 +0200

kitemviews (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:33:08 +0200

kitemviews (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:09 +0200

kitemviews (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Mar 2015 22:27:01 +0100

kitemviews (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Mar 2015 12:33:34 +0100

kitemviews (5.6.0-1) experimental; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Maximiliano Curia ]
  * New upstream release (5.6.0).
  * Bump build dependencies to build against the experimental versions.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update build dependencies to follow cmake.
  * Update copyright information.
  * Add basic autopkgtests support.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Jan 2015 15:58:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                xauth,
                xvfb
 Standards-Version: 3.9.6
+XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kitemviews.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kitemviews.git
@@ -20,7 +21,9 @@
 Package: libkf5itemviews-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5itemviews5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Depends: libkf5itemviews5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.4),
+         ${misc:Depends}
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering

## kitemviews 5.18.0

=== debian/changelog ===
kitemviews (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:22:36 +0100

kitemviews (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:51 +0100

kitemviews (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:53 +0200

kitemviews (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  * Fix merge madness. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 11 Nov 2015 18:32:04 -0800

kitemviews (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:41 +0100

kitemviews (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Removed private classes from exported symbols.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:45 +0200

kitemviews (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Drop XS-Testsuite field

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 11:40:07 +0200

kitemviews (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
@@ -13,7 +13,6 @@
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kitemviews.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kitemviews.git

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh_strip --dbg-package=libkf5itemviews5-dbg
 
 override_dh_auto_test:
-	xvfb-run $(overridden_command)
+	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kitemviews-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kitemviews-(.*)\.tar\.xz

## kitemviews 5.26.0

=== debian/changelog ===
kitemviews (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:46:40 +0100

kitemviews (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:43:33 +0000

kitemviews (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:14:09 +0200

kitemviews (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:30:19 -0700

kitemviews (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:15:51 +0100

kitemviews (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:22 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-               xauth,
-               xvfb
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kitemviews.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kitemviews.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
 
 Package: libkf5itemviews-dev
 Architecture: any
@@ -54,17 +52,3 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the translations.
-
-Package: libkf5itemviews5-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends: libkf5itemviews5 (= ${binary:Version}), ${misc:Depends}
-Description: Qt library with additional widgets for ItemModels
- A Qt library which contains additional widgets for ItemModels, such as
- grouping into categories and filtering
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the debug symbols.

## kitemviews 5.28.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,16 @@
 project(KItemViews)
 
 include(FeatureSummary)
-find_package(ECM 5.18.0  NO_MODULE)
+find_package(ECM 5.28.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION "5.3.0")
+set(REQUIRED_QT_VERSION 5.5.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 
@@ -22,7 +22,7 @@
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.18.0") # handled by release scripts
+set(KF5_VERSION "5.28.0") # handled by release scripts
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KITEMVIEWS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfigVersion.cmake"

=== debian/changelog ===
kitemviews (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:01:57 +0100

kitemviews (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 16:51:31 +0200

kitemviews (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 11:56:35 +0200

kitemviews (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Aug 2016 17:19:31 +0200

kitemviews (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:20:04 +0200

kitemviews (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 00:12:28 +0200

kitemviews (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed
  * Drop Xephyr hack

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 15:09:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kitemviews.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kitemviews.git
 
 Package: libkf5itemviews-dev
 Architecture: any
 Section: libdevel
 Depends: libkf5itemviews5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
@@ -28,6 +28,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+Breaks: kio-dev (<< 5.28),
+        libkf5iconthemes-dev (<< 5.28),
+        libkf5kcmutils-dev (<< 5.28),
+        libkf5kio-dev (<< 5.28),
+        libkf5xmlgui-dev (<< 5.28)
 
 Package: libkf5itemviews5
 Architecture: any
@@ -40,6 +45,16 @@
  grouping into categories and filtering
  .
  This package is part of KDE Frameworks 5.
+Breaks: kdesignerplugin (<< 5.28),
+        kio (<< 5.28),
+        libkf5iconthemes5 (<< 5.28),
+        libkf5kcmutils5 (<< 5.28),
+        libkf5kdelibs4support5-bin (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5newstuff5 (<< 5.28),
+        libkf5peoplewidgets5 (<< 5.28),
+        libkf5texteditor5 (<< 5.28),
+        libkf5xmlgui5 (<< 5.28)
 
 Package: libkf5itemviews-data
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5itemviews5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kitemviews 5.31.0

=== debian/changelog ===
kitemviews (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:53:40 +0000

kitemviews (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:37:36 +0000

kitemviews (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:20:19 +0000

=== debian/control ===
Source: kitemviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kitemviews
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews

Package: libkf5itemviews-dev
Architecture: any
Section: libdevel
Depends: libkf5itemviews5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5itemviews5
Architecture: any
Multi-Arch: same
Depends: libkf5itemviews-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.

Package: libkf5itemviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library with additional widgets for ItemModels
 A Qt library which contains additional widgets for ItemModels, such as
 grouping into categories and filtering
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

## kitemviews 5.38.0

=== debian/changelog ===
kitemviews (5.38.0-0ubuntu1) artful; urgency=medium

  * Update sybmols from build logs. Remove private symbols now upstream
    changes ensure these are no longer leaked
  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:16:01 +0100

kitemviews (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:51:00 +0100

kitemviews (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:55:31 +0100

kitemviews (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:01:08 +0100

kitemviews (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:28:58 +0100

kitemviews (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:11:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),

## kitemviews 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
-project(KItemViews)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+project(KItemViews VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.28.0  NO_MODULE)
+find_package(ECM 5.44.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
-set(REQUIRED_QT_VERSION 5.5.0)
+set(REQUIRED_QT_VERSION 5.7.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -19,11 +20,14 @@
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMAddQch)
 
 include(ECMPoQmTools)
 
-set(KF5_VERSION "5.28.0") # handled by release scripts
-ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KITEMVIEWS
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
+ecm_setup_version(PROJECT VARIABLE_PREFIX KITEMVIEWS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kitemviews_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfigVersion.cmake"
                         SOVERSION 5)
@@ -41,9 +45,18 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ItemViews")
 
-include(ECMPackageConfigHelpers)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5ItemViews_QCH
+        FILE KF5ItemViewsQCHTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ItemViewsQCHTargets.cmake\")")
+endif()
 
-ecm_configure_package_config_file(
+include(CMakePackageConfigHelpers)
+
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ItemViewsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ItemViewsConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}

=== debian/changelog ===
kitemviews (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:09 +0000

kitemviews (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:43 +0000

kitemviews (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:54 +0000

kitemviews (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:06:12 -0600

kitemviews (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -14,6 +14,18 @@
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
+
+Package: libkf5itemviews-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt library with additional widgets for ItemModels
+ A Qt library which contains additional widgets for ItemModels, such as
+ grouping into categories and filtering
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the translations.
 
 Package: libkf5itemviews-dev
 Architecture: any
@@ -34,21 +46,9 @@
 Multi-Arch: same
 Depends: libkf5itemviews-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering
  .
  This package is part of KDE Frameworks 5.
-
-Package: libkf5itemviews-data
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt library with additional widgets for ItemModels
- A Qt library which contains additional widgets for ItemModels, such as
- grouping into categories and filtering
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the translations.

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kitemviews-(.*)\.tar\.xz

## kitemviews 5.50.0

=== debian/changelog ===
kitemviews (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:14:04 +0100

kitemviews (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:33 +0100

kitemviews (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:35 +0100

kitemviews (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:14 +0200

kitemviews (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:46 +0100

kitemviews (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:40 +0200

kitemviews (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:00 +0100

kitemviews (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:49 +0100

kitemviews (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:00 +0100

kitemviews (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:29 +0100

kitemviews (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 882880)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:49 -0300

kitemviews (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:47:03 +0000

kitemviews (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:59:07 +0000

kitemviews (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:43:33 +0000

kitemviews (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:24 +0000

kitemviews (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:25 +0200

kitemviews (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5itemviews-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:12 +0200

kitemviews (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:14:48 +0000

kitemviews (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:16 +0200

kitemviews (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:46 +0000

kitemviews (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:37:16 +0000

kitemviews (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:37:43 +0000

kitemviews (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:23:28 +0000

kitemviews (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:22:15 +0000

kitemviews (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:37:50 +0000

kitemviews (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:41:18 +0000



=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kitemviews
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kitemviews
@@ -31,8 +34,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5itemviews5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5itemviews-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28)
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering
@@ -41,12 +46,26 @@
  .
  This package contains the development files.
 
+Package: libkf5itemviews-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt library with additional widgets for ItemModels (documentation)
+ A Qt library which contains additional widgets for ItemModels, such as
+ grouping into categories and filtering
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
+
 Package: libkf5itemviews5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5itemviews-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: kross (<< 5.42), libkf5kdelibs4support5 (<< 5.42)
 Description: Qt library with additional widgets for ItemModels
  A Qt library which contains additional widgets for ItemModels, such as
  grouping into categories and filtering
